<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>実習課題 &mdash; 計算機実習 1.0 documentation</title>
    
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="top" title="計算機実習 1.0 documentation" href="../index.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li><a href="../index.html">計算機実習 1.0 documentation</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="id1">
<h1>実習課題<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h1>
<ol class="loweralpha simple">
<li><img class="math" src="../_images/math/bbc36b6e65376b5c72059b93dda3d329058a0664.png" alt="r=0.24"/> とおいてさまざまな初期値 <img class="math" src="../_images/math/7583bd67b9c0a3880e53a7bd15ce980540c3e5cb.png" alt="x_{0}"/> について動的な振る舞いを調べよ。 <img class="math" src="../_images/math/55ba271999995cac02cf578362df5be030594ed6.png" alt="x=0"/> が安定な固定点であることを示せ。 <img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/> の値が十分に小さいときには、計算を反復して求めた <img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/> の値が、初期値 <img class="math" src="../_images/math/7583bd67b9c0a3880e53a7bd15ce980540c3e5cb.png" alt="x_{0}"/> とは無関係に <img class="math" src="../_images/math/55ba271999995cac02cf578362df5be030594ed6.png" alt="x=0"/> に収束する。 <img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/> が昆虫の個体数を表すと考えて、個体数の定性的な振る舞いについて調べよ。</li>
</ol>
<ul class="simple">
<li><img class="math" src="../_images/math/bbc36b6e65376b5c72059b93dda3d329058a0664.png" alt="r=0.24"/> とおいて <img class="math" src="../_images/math/ebb7405f08a635f0fc0a7a006917527f9db596e5.png" alt="x_{0}=0, 0.2, 0.4, 0.6, 0.8, 1.0"/> とした時のグラフをfigure_1.pdfに示した。このグラフから確かめられるように、 <img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/> の値が十分小さい時には、初期値によらず <img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/> の値は <img class="math" src="../_images/math/55ba271999995cac02cf578362df5be030594ed6.png" alt="x=0"/> に単調に収束する。 <img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/> が昆虫の個体数を表すと見るなら、 <img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/> の値が小さいということは、個体数の増加率が1よりも小さくなる状態を表しており、生まれてくる個体よりも死ぬ個体のほうが多い状態とも言えるだろう。そのような状況では、個体数は減り続け、いずれ0になる。</li>
</ul>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_1.pdf"><img alt="figure_1.pdf" src="../_images/figure_1.pdf" style="width: 14.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/bbc36b6e65376b5c72059b93dda3d329058a0664.png" alt="r=0.24"/> とおいて <img class="math" src="../_images/math/ebb7405f08a635f0fc0a7a006917527f9db596e5.png" alt="x_{0}=0, 0.2, 0.4, 0.6, 0.8, 1.0"/> とした時のグラフ</p>
</div>
<ol class="loweralpha simple" start="2">
<li>式(1)の動的な性質を <img class="math" src="../_images/math/6c1ff3f8ebfe9e33aff7c40204f4b9a20d95aa36.png" alt="r=0.26, 0.5, 0.74, 0.748"/> について調べよ。 <img class="math" src="../_images/math/2e6577ab1f98d7c8e2d0297f21c5b1ac358573c6.png" alt="r &gt; 0.25"/> では <img class="math" src="../_images/math/55ba271999995cac02cf578362df5be030594ed6.png" alt="x=0"/> が不安定な固定点であることを確かめよ。与えられた <img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/> の値では、計算の反復で得られる <img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/> の値は初期値の過渡点を過ぎると変化しないこと、つまり、長時間後の動的な振る舞いは周期1であることを示せ。 <img class="math" src="../_images/math/1329c68990c8b80ef79c800de5825d544a103fb6.png" alt="r &lt; 3/4"/> について区間 <img class="math" src="../_images/math/d0e4cc4cf39d558e012a5b82fdc773b070cc59a6.png" alt="0 &lt; x_{0} &lt; 1"/> の <img class="math" src="../_images/math/7583bd67b9c0a3880e53a7bd15ce980540c3e5cb.png" alt="x_{0}"/> を初期値とするすべての軌跡が <img class="math" src="../_images/math/e7c2e3dabef6470469790a0a2f2f5715f53cb68e.png" alt="x=1-1/4r"/> のアトラクタに近づくことが示されている。軌跡がアトラクタに吸い込まれる初期値の集合をそのアトラクタの吸引域と呼ぶ。ロジスティック写像では、領域 <img class="math" src="../_images/math/d0e4cc4cf39d558e012a5b82fdc773b070cc59a6.png" alt="0 &lt; x_{0} &lt; 1"/> は <img class="math" src="../_images/math/e7c2e3dabef6470469790a0a2f2f5715f53cb68e.png" alt="x=1-1/4r"/> のアトラクタの吸引域である。</li>
</ol>
<ul class="simple">
<li><img class="math" src="../_images/math/6c1ff3f8ebfe9e33aff7c40204f4b9a20d95aa36.png" alt="r=0.26, 0.5, 0.74, 0.748"/> とおいたとき、さまざまな <img class="math" src="../_images/math/7583bd67b9c0a3880e53a7bd15ce980540c3e5cb.png" alt="x_{0}"/> を初期値として設定しグラフを描いた。これらをfigure_2.pdf、figure_3.pdf、figure_4.pdf、figure_5.pdfに示す。これらの結果から、この範囲の <img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/> では <img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/> の値は、振動しながら一定の値に収束していき、長時間後にはその動的な振る舞いが周期1であることがわかる。また、その時収束する値は <img class="math" src="../_images/math/afbb8ffa1d0ec0b0440c0bb6e388cc8647bc3984.png" alt="1-1/4r"/> と等しくなっていることがわかる。</li>
</ul>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_2.pdf"><img alt="figure_2.pdf" src="../_images/figure_2.pdf" style="width: 8.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/39856b4bafbd9aaeaab596fb1416d703ad594556.png" alt="r=0.26"/> とおいて <img class="math" src="../_images/math/378f16ad15cbb0c166e833497989758359f00149.png" alt="x_{0}=0.2, 0.4, 0.6, 0.8"/> とした時のグラフ</p>
</div>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_3.pdf"><img alt="figure_3.pdf" src="../_images/figure_3.pdf" style="width: 8.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/a55a85777307c1a74cfb7bf8d4d833d9bbb50046.png" alt="0.5"/> とおいて <img class="math" src="../_images/math/378f16ad15cbb0c166e833497989758359f00149.png" alt="x_{0}=0.2, 0.4, 0.6, 0.8"/> とした時のグラフ</p>
</div>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_4.pdf"><img alt="figure_4.pdf" src="../_images/figure_4.pdf" style="width: 8.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/ce2752a4ec919b0290a8ff68bbf6825d60be748c.png" alt="r=0.74"/> とおいて <img class="math" src="../_images/math/378f16ad15cbb0c166e833497989758359f00149.png" alt="x_{0}=0.2, 0.4, 0.6, 0.8"/> とした時のグラフ</p>
</div>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_5.pdf"><img alt="figure_5.pdf" src="../_images/figure_5.pdf" style="width: 8.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/93cb6904b11ac83567e74c4d67b51bde2f062aa0.png" alt="r=0.748"/> とおいて <img class="math" src="../_images/math/77dd7ce19783e930d60006863698c1d47a5f16aa.png" alt="x_{0}=0.2, 0.8"/> とした時のグラフ</p>
</div>
<ol class="loweralpha simple" start="3">
<li><img class="math" src="../_images/math/ed95745468155ed89a64c6c46f1b1c2e3d888259.png" alt="r=0.752, 0.76, 0.8, 0.862"/> について式(1)の動的な性質を調べよ。 <img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/> を0.75よりほんの少し大きくすると、初期値の過渡的な振る舞いの後に、2つの数値の間を振動することを示せ。つまり、単一の固定点に対応する周期1の安定なサイクルの代わりに、系は周期2の安定なサイクルを持つようになる。1つの固定点 <img class="math" src="../_images/math/02dc54b6986c7807607099728581c33f37cca8e1.png" alt="x^{*}"/> が2つの <img class="math" src="../_images/math/8dc42b6bfecf9c618ba98ef398b795c7d99c0ba2.png" alt="x_{1}^{*}"/> と <img class="math" src="../_images/math/28ffbd86b7946615ccacbd676047e74d5dddd0d8.png" alt="x_{2}^{*}"/> に分かれる。つまり、分岐する <img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/> の値は <img class="math" src="../_images/math/315f4690bca7e891201b5559c1b1f358874ed148.png" alt="r=b_{1}=3/4"/> である。1対の <img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/> ( <img class="math" src="../_images/math/8dc42b6bfecf9c618ba98ef398b795c7d99c0ba2.png" alt="x_{1}^{*}"/> と <img class="math" src="../_images/math/28ffbd86b7946615ccacbd676047e74d5dddd0d8.png" alt="x_{2}^{*}"/> )は1つの、周期2の安定なアトラクタを形成する。</li>
</ol>
<ul class="simple">
<li><img class="math" src="../_images/math/ed95745468155ed89a64c6c46f1b1c2e3d888259.png" alt="r=0.752, 0.76, 0.8, 0.862"/> について <img class="math" src="../_images/math/7583bd67b9c0a3880e53a7bd15ce980540c3e5cb.png" alt="x_{0}"/> をさまざまに変えたときのグラフをfigure_6.pdf、figure_7.pdf、figure_8.pdf、figure_9.pdfに示す。これらのグラフから見て取れるように、十分時間が経過した後も、 <img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/> の値は一つの値に収束することなく、二つの値の間を周期2で振動していることがわかる。</li>
</ul>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_6.pdf"><img alt="figure_6.pdf" src="../_images/figure_6.pdf" style="width: 8.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/c6a301ba4efa7dc0a4181ae4b64dfce7ec4c4960.png" alt="r=0.752"/> とおいて <img class="math" src="../_images/math/77dd7ce19783e930d60006863698c1d47a5f16aa.png" alt="x_{0}=0.2, 0.8"/> とした時のグラフ</p>
</div>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_7.pdf"><img alt="figure_7.pdf" src="../_images/figure_7.pdf" style="width: 8.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/178cfa701fd2aa469cd1b21352c92b6ec874420e.png" alt="r=0.76"/> とおいて <img class="math" src="../_images/math/37e7f9bcbe02c1f1dc22e5e4c8a89e01ddc39652.png" alt="x_{0}==0.2, 0.8"/> とした時のグラフ</p>
</div>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_8.pdf"><img alt="figure_8.pdf" src="../_images/figure_8.pdf" style="width: 8.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/44b7193e835938f87c69964939d98f569368da0c.png" alt="r=0.8"/> とおいて <img class="math" src="../_images/math/77dd7ce19783e930d60006863698c1d47a5f16aa.png" alt="x_{0}=0.2, 0.8"/> とした時のグラフ</p>
</div>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_9.pdf"><img alt="figure_9.pdf" src="../_images/figure_9.pdf" style="width: 8.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/a97e9bf5c7dc4925ad5ed0d0fba3834901ecf20e.png" alt="r=0.862"/> とおいて <img class="math" src="../_images/math/77dd7ce19783e930d60006863698c1d47a5f16aa.png" alt="x_{0}=0.2, 0.8"/> とした時のグラフ</p>
</div>
<ol class="loweralpha simple" start="4">
<li>設問cで観測したものと同様な動的振る舞いを示す、昆虫の個体数の生態学的なシナリオについて述べよ。</li>
</ol>
<ul class="simple">
<li>設問cで観測されたような動的な振る舞いは、ある昆虫が、限られた環境の中で成長率が十分にあるために個体数が増えていき、しかし一方で個体数の増加による各種資源の枯渇など、成長率への負の影響のために、個体数を増やし続けることができず、次の世代ではその数が減少してしまうような場合であると考えることができる。
end{enumerate}</li>
</ul>
<ol class="loweralpha simple" start="5">
<li><img class="math" src="../_images/math/2d329eea7c60b5f6233aea4aee81dc4893bb2d07.png" alt="r=0.863, 0.88"/> では、式(ref{eq:logistic})の安定なアトラクタとその周期はどうなるか。</li>
</ol>
<ul class="simple">
<li><img class="math" src="../_images/math/2d329eea7c60b5f6233aea4aee81dc4893bb2d07.png" alt="r=0.863, 0.88"/> で <img class="math" src="../_images/math/9bc42d70e7d3eed65a10233a4b1f3ca0d445c7d0.png" alt="x_{0}=0.2"/> とした時のグラフをfigure_10.pdf、figure_11.pdfに示す。これらのグラフを注意深く見ると、設問cのように周期2で振動しているのではなく、その二つのアトラクタがさらに二つのアトラクタに分岐していることがわかる。つまり、十分時間が経ったのちに、 <img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/> は周期4で振動している。</li>
</ul>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_10.pdf"><img alt="figure_10.pdf" src="../_images/figure_10.pdf" style="width: 8.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/3419058d337f31731efeacf311fc2102f5f12c59.png" alt="r=0.863"/> とおいて <img class="math" src="../_images/math/9bc42d70e7d3eed65a10233a4b1f3ca0d445c7d0.png" alt="x_{0}=0.2"/> とした時のグラフ</p>
</div>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_11.pdf"><img alt="figure_11.pdf" src="../_images/figure_11.pdf" style="width: 8.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/7df7c74cb27f447f23eb33e36001031440b5a8ea.png" alt="r=0.88"/> とおいて <img class="math" src="../_images/math/9bc42d70e7d3eed65a10233a4b1f3ca0d445c7d0.png" alt="x_{0}=0.2"/> とした時のグラフ</p>
</div>
<ol class="loweralpha simple" start="6">
<li><img class="math" src="../_images/math/0f5932099000d82e3a896df169547910ed41fdea.png" alt="r=0.89, 0.891, 0.8922"/> ではアトラクタとその周期はどうなるか。</li>
</ol>
<ul class="simple">
<li><img class="math" src="../_images/math/0f5932099000d82e3a896df169547910ed41fdea.png" alt="r=0.89, 0.891, 0.8922"/> で <img class="math" src="../_images/math/9bc42d70e7d3eed65a10233a4b1f3ca0d445c7d0.png" alt="x_{0}=0.2"/> とした時のグラフをfigure_12.pdf、figure_13.pdf、figure_14.pdfに示す。これらのグラフは、設問eでのアトラクタがそれぞれさらに二つのアトラクタに分岐しているものであることがわかる。つまり、十分時間が経ったのちに、 <img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/> は周期8で振動している。以上の結果から、特に観測した <img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/> の領域については、 <img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/> の値が増加するにつれて、アトラクタの数、または振動の周期が倍化していることがわかる。</li>
</ul>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_12.pdf"><img alt="figure_12.pdf" src="../_images/figure_12.pdf" style="width: 8.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/d75034f1e5b45aa70847bc1398e3e5a089db1923.png" alt="r=0.89"/> とおいて <img class="math" src="../_images/math/9bc42d70e7d3eed65a10233a4b1f3ca0d445c7d0.png" alt="x_{0}=0.2"/> とした時のグラフ</p>
</div>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_13.pdf"><img alt="figure_13.pdf" src="../_images/figure_13.pdf" style="width: 8.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/d9a2a3d690fd31b10acf4c0b013c027c84f1b7c0.png" alt="r=0.891"/> とおいて <img class="math" src="../_images/math/9bc42d70e7d3eed65a10233a4b1f3ca0d445c7d0.png" alt="x_{0}=0.2"/> とした時のグラフ</p>
</div>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_14.pdf"><img alt="figure_14.pdf" src="../_images/figure_14.pdf" style="width: 8.5cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/7e93480fae51be1c46402b35fabf121ae766da10.png" alt="r=0.5"/> とおいて <img class="math" src="../_images/math/378f16ad15cbb0c166e833497989758359f00149.png" alt="x_{0}=0.2, 0.4, 0.6, 0.8"/> とした時のグラフ</p>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3>This Page</h3>
  <ul class="this-page-menu">
    <li><a href="../_sources/6-1_iterate_map/experiment.txt"
           rel="nofollow">Show Source</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li><a href="../index.html">計算機実習 1.0 documentation</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2014, Shotaro Fujimoto.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2.
    </div>
  </body>
</html>